## PC

- registering preconditioners Solves a linear system in parallel with KSP.
  Input parameters include:
  -m <mesh_x> : number of mesh points in x-direction
  -n <mesh_n> : number of mesh points in y-direction
- setting a user-defined shell preconditioner Solves a linear system in parallel with KSP. Also
  illustrates setting a user-defined shell preconditioner and using the
  macro __FUNCT__ to define routine names for use in error handling.
  Input parameters include:
  -user_defined_pc : Activate a user-defined preconditioner
- setting a user-defined shell preconditioner
  Solves a linear system in parallel with KSP. Also indicates
  use of a user-provided preconditioner. Input parameters include:
  -user_defined_pc : Activate a user-defined preconditioner
  Program usage: mpiexec ex15f [-help] [all PETSc options]
- setting a user-defined shell preconditioner
  Solves a linear system in parallel with KSP. Also indicates
  use of a user-provided preconditioner. Input parameters include:
  Program usage: mpiexec ex21f [-help] [all PETSc options]